libepubgen::EPUBHTMLManager Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBHTMLManager Class Reference

`#include <EPUBHTMLManager.h>`

## Public Member Functions
| EPUBHTMLManager (EPUBManifest &manifest)
const EPUBHTMLGeneratorPtr_t | create (EPUBImageManager &imageManager, EPUBListStyleManager &listStyleManager, EPUBParagraphStyleManager &paragraphStyleManager, EPUBSpanStyleManager &spanStyleManager, EPUBTableStyleManager &tableStyleManager, const EPUBPath &stylesheetPath)
void | writeTo (EPUBPackage &package)
void | writeSpineTo (EPUBXMLSink &sink)
void | writeTocTo (EPUBXMLSink &sink, const EPUBPath &tocPath)

## Private Member Functions
| EPUBHTMLManager (const EPUBHTMLManager &)
EPUBHTMLManager & | operator= (const EPUBHTMLManager &)

## Private Attributes
EPUBManifest & | m_manifest
std::vector< EPUBPath > | m_paths
std::vector< EPUBXMLSink > | m_contents
std::vector< std::string > | m_ids
EPUBCounter | m_number

## Constructor & Destructor Documentation

libepubgen::EPUBHTMLManager::EPUBHTMLManager | ( | const EPUBHTMLManager & |  | ) |
| private

libepubgen::EPUBHTMLManager::EPUBHTMLManager | ( | EPUBManifest & | manifest | ) |
| explicit

## Member Function Documentation

const EPUBHTMLGeneratorPtr_t libepubgen::EPUBHTMLManager::create | ( | EPUBImageManager & | imageManager,
|  | EPUBListStyleManager & | listStyleManager,
|  | EPUBParagraphStyleManager & | paragraphStyleManager,
|  | EPUBSpanStyleManager & | spanStyleManager,
|  | EPUBTableStyleManager & | tableStyleManager,
|  | const EPUBPath & | stylesheetPath
| ) |  |

Referenced by libepubgen::EPUBGenerator::startNewHtmlFile().

EPUBHTMLManager& libepubgen::EPUBHTMLManager::operator= | ( | const EPUBHTMLManager & |  | ) |
| private

void libepubgen::EPUBHTMLManager::writeSpineTo | ( | EPUBXMLSink & | sink | ) |

Referenced by libepubgen::EPUBGenerator::writeRoot().

void libepubgen::EPUBHTMLManager::writeTo | ( | EPUBPackage & | package | ) |

Referenced by libepubgen::EPUBGenerator::endDocument().

void libepubgen::EPUBHTMLManager::writeTocTo | ( | EPUBXMLSink & | sink,
|  | const EPUBPath & | tocPath
| ) |  |

Referenced by libepubgen::EPUBGenerator::writeNavigation().

## Member Data Documentation

std::vector<EPUBXMLSink> libepubgen::EPUBHTMLManager::m_contents
| private

Referenced by create(), and writeTo().

std::vector<std::string> libepubgen::EPUBHTMLManager::m_ids
| private

Referenced by create(), and writeSpineTo().

EPUBManifest& libepubgen::EPUBHTMLManager::m_manifest
| private

Referenced by create().

EPUBCounter libepubgen::EPUBHTMLManager::m_number
| private

Referenced by create().

std::vector<EPUBPath> libepubgen::EPUBHTMLManager::m_paths
| private

Referenced by create(), writeTo(), and writeTocTo().

The documentation for this class was generated from the following files:

- EPUBHTMLManager.h
- EPUBHTMLManager.cpp